<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:22 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>G-Index</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Z</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#get-int-">get(int)</a></span> - Method in class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>
<div class="block">Возвращает вектор с координатами точки линии по индексу.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/BaseActivity.html#getARCoreInstallErrorMessage-java.lang.Exception-">getARCoreInstallErrorMessage(Exception)</a></span> - Method in class com.playground.drawingar.<a href="../com/playground/drawingar/BaseActivity.html" title="class in com.playground.drawingar">BaseActivity</a></dt>
<dd>
<div class="block">Возвращает описание ошибки, связанной с ARCore.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/DisplayRotationHelper.html#getHeight--">getHeight()</a></span> - Method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/DisplayRotationHelper.html" title="class in com.playground.drawingar.helpers">DisplayRotationHelper</a></dt>
<dd>
<div class="block">Возвращает высоту окна просмотра.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#getLineColor--">getLineColor()</a></span> - Method in class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>
<div class="block">Возвращает цвет линии.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#getLineWidth--">getLineWidth()</a></span> - Method in class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>
<div class="block">Возвращает толщину линии.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#getPoints--">getPoints()</a></span> - Method in class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>
<div class="block">Возвращает список точек линии.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/BackgroundRenderer.html#getTextureId--">getTextureId()</a></span> - Method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/BackgroundRenderer.html" title="class in com.playground.drawingar.rendering">BackgroundRenderer</a></dt>
<dd>
<div class="block">Возвращает идентификатор текстуры.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/TrackingStateHelper.html#getTrackingFailureReasonString-com.google.ar.core.Camera-">getTrackingFailureReasonString(Camera)</a></span> - Static method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/TrackingStateHelper.html" title="class in com.playground.drawingar.helpers">TrackingStateHelper</a></dt>
<dd>
<div class="block">Возвращает причину ошибки ARCore.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/DisplayRotationHelper.html#getWidth--">getWidth()</a></span> - Method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/DisplayRotationHelper.html" title="class in com.playground.drawingar.helpers">DisplayRotationHelper</a></dt>
<dd>
<div class="block">Возвращает ширину окна просмотра.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/LineUtils.html#GetWorldCoords-javax.vecmath.Vector2f-com.google.ar.core.Pose-float-float-float:A-float:A-">GetWorldCoords(Vector2f, Pose, float, float, float[], float[])</a></span> - Static method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/LineUtils.html" title="class in com.playground.drawingar.rendering">LineUtils</a></dt>
<dd>
<div class="block">Возвращает координаты точки в мировом пространстве.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
